LotusSpreadsheetInternal::SubDocument Class Reference documentation

LotusSpreadsheetInternal::SubDocument Class Referencefinal

Internal: the subdocument of a LotusSpreadsheet. More...

Inheritance diagram for LotusSpreadsheetInternal::SubDocument:

## Public Member Functions
| SubDocument (RVNGInputStreamPtr const &input, LotusSpreadsheet &sheetParser, WPSEntry const &entry)
| constructor for a text entry
| ~SubDocument () final
| destructor
bool | operator== (std::shared_ptr< WPSSubDocument > const &doc) const final
| operator==
void | parse (std::shared_ptr< WKSContentListener > &listener, libwps::SubDocumentType subDocumentType) final
| the parser function
Public Member Functions inherited from WKSSubDocument
| WKSSubDocument (RVNGInputStreamPtr const &input, WKSParser *parser, int id=0)
| constructor
| ~WKSSubDocument () override
| destructor
WKSParser * | parser () const
| returns the parser
bool | operator== (std::shared_ptr< WPSSubDocument > const &doc) const override
| an operator =
Public Member Functions inherited from WPSSubDocument
| WPSSubDocument (RVNGInputStreamPtr const &input, int id=0)
| constructor
virtual | ~WPSSubDocument ()
| destructor
RVNGInputStreamPtr & | getInput ()
| returns the input
int | id () const
| get the identificator
void | setId (int i)
| set the identificator
bool | operator!= (std::shared_ptr< WPSSubDocument > const &doc) const

## Public Attributes
LotusSpreadsheet * | m_sheetParser
| the spreadsheet parse
WPSEntry | m_entry
| a text zone entry

## Private Member Functions
| SubDocument (SubDocument const &)=delete
SubDocument & | operator= (SubDocument const &)=delete

## Additional Inherited Members
Protected Attributes inherited from WKSSubDocument
WKSParser * | m_parser
Protected Attributes inherited from WPSSubDocument
RVNGInputStreamPtr | m_input
int | m_id

## Detailed Description

Internal: the subdocument of a LotusSpreadsheet.

## Constructor & Destructor Documentation

## ◆ SubDocument() [1/2]

LotusSpreadsheetInternal::SubDocument::SubDocument | ( | RVNGInputStreamPtr const & | input,
|  | LotusSpreadsheet & | sheetParser,
|  | WPSEntry const & | entry )
| inline

constructor for a text entry

Referenced by operator=(), operator==(), and SubDocument().

## ◆ ~SubDocument()

LotusSpreadsheetInternal::SubDocument::~SubDocument | ( |  | ) |
| inlinefinal

destructor

## ◆ SubDocument() [2/2]

LotusSpreadsheetInternal::SubDocument::SubDocument | ( | SubDocument const & |  | ) |
| privatedelete

## Member Function Documentation

## ◆ operator=()

SubDocument & LotusSpreadsheetInternal::SubDocument::operator= | ( | SubDocument const & |  | ) |
| privatedelete

## ◆ operator==()

bool LotusSpreadsheetInternal::SubDocument::operator== | ( | std::shared_ptr< WPSSubDocument > const & | doc | ) | const
| inlinefinalvirtual

operator==

Reimplemented from WPSSubDocument.

## ◆ parse()

void LotusSpreadsheetInternal::SubDocument::parse | ( | std::shared_ptr< WKSContentListener > & | listener,
|  | libwps::SubDocumentType | subDocumentType )
| finalvirtual

the parser function

Implements WKSSubDocument.

## Member Data Documentation

## ◆ m_entry

WPSEntry LotusSpreadsheetInternal::SubDocument::m_entry

a text zone entry

Referenced by operator==(), parse(), and SubDocument().

## ◆ m_sheetParser

LotusSpreadsheet* LotusSpreadsheetInternal::SubDocument::m_sheetParser

the spreadsheet parse

Referenced by operator==(), parse(), and SubDocument().

The documentation for this class was generated from the following file:

- LotusSpreadsheet.cpp